# $Revision: 1.7 $, $Date: 2003/10/18 11:20:45 $
Summary:	Apache top-like display
Summary(pl):	Podobny do topa program pokazujcy prac Apache'a
Name:		apachetop
Version:	0.7
Release:	2
License:	BSD
Group:		Networking/Utilities
Source0:	http://clueful.shagged.org/%{name}/files/%{name}-%{version}.tar.gz
# Source0-md5:	775fa87ae957eeb2033428330cb8b33a
Patch0:		%{name}-log_location.patch
URL:		http://clueful.shagged.org/apachetop/
BuildRequires:	ncurses-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A curses-based top-like display for Apache information, including
requests per second, bytes per second, most popular URLs, etc.

%description -l pl
Oparty na curses podobny do topa program pokazujcy informacje o pracy
Apache'a, wczajc w to zapytania na sekund, bajty na sekund,
najbardziej popularne URL-e, itp.

%prep
%setup -q
%patch0 -p1

%build
%configure
%{__make} \
	CXX=%{__cxx} \
	CXXFLAGS="%{rpmcflags} -I/usr/include/ncurses"

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog INSTALL NEWS README TODO
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apachetop.spec,v $
Revision 1.7  2003/10/18 11:20:45  blues
- release 2 - added default log location patch and cxx definition

Revision 1.6  2003/10/14 14:12:25  adamg
- updated to 0.7
- removed todo (bz2 sources? where are these? there are only .gz)

Revision 1.5  2003/10/05 20:37:36  adamg
- updated to 0.6
- make use of %%configure and %%make install DESTDIR=
- updated %%doc
- added apachetop manpage
- apachetop binary now in %%{_sbindir}

Revision 1.4  2003/10/02 18:47:37  adamg
- updated to 0.5

Revision 1.3  2003/10/02 15:00:13  qboosh
- fixed Group and URL

Revision 1.2  2003/10/01 12:41:00  ankry
- fixed pl

Revision 1.1  2003/09/30 23:55:16  undefine
- initial pld version
